summaryrefslogtreecommitdiff
path: root/Master/bin
diff options
context:
space:
mode:
authorKarl Berry <karl@freefriends.org>2008-02-10 17:41:28 +0000
committerKarl Berry <karl@freefriends.org>2008-02-10 17:41:28 +0000
commit99d013a0490d7b9f0b5dbc991e26d91a8fe639c3 (patch)
tree5f97d5eb254263f2923f0a489d6d55c94b177f2a /Master/bin
parent9d0059df94d6c5dcdf7b5539512ea7ce52e70bb9 (diff)
remove lzma-utils from build, no need for us to distribute
git-svn-id: svn://tug.org/texlive/trunk@6598 c570f23f-e606-0410-a88d-b1316a301751
Diffstat (limited to 'Master/bin')
l---------Master/bin/i386-linux/lzcat1
l---------Master/bin/i386-linux/lzcmp1
-rwxr-xr-xMaster/bin/i386-linux/lzdiff67
l---------Master/bin/i386-linux/lzegrep1
l---------Master/bin/i386-linux/lzfgrep1
-rwxr-xr-xMaster/bin/i386-linux/lzgrep123
l---------Master/bin/i386-linux/lzless1
-rwxr-xr-xMaster/bin/i386-linux/lzmabin89952 -> 0 bytes
-rwxr-xr-xMaster/bin/i386-linux/lzmadecbin10288 -> 0 bytes
-rwxr-xr-xMaster/bin/i386-linux/lzmainfobin11160 -> 0 bytes
-rwxr-xr-xMaster/bin/i386-linux/lzmore74
l---------Master/bin/i386-linux/unlzma1
12 files changed, 0 insertions, 270 deletions
diff --git a/Master/bin/i386-linux/lzcat b/Master/bin/i386-linux/lzcat
deleted file mode 120000
index 2bcdf7016f0..00000000000
--- a/Master/bin/i386-linux/lzcat
+++ /dev/null
@@ -1 +0,0 @@
-lzma \ No newline at end of file
diff --git a/Master/bin/i386-linux/lzcmp b/Master/bin/i386-linux/lzcmp
deleted file mode 120000
index bb308e1d49f..00000000000
--- a/Master/bin/i386-linux/lzcmp
+++ /dev/null
@@ -1 +0,0 @@
-lzdiff \ No newline at end of file
diff --git a/Master/bin/i386-linux/lzdiff b/Master/bin/i386-linux/lzdiff
deleted file mode 100755
index c867cbeac3e..00000000000
--- a/Master/bin/i386-linux/lzdiff
+++ /dev/null
@@ -1,67 +0,0 @@
-#!/bin/sh
-# sh is buggy on RS/6000 AIX 3.2. Replace above line with #!/bin/ksh
-
-# lzcmp and lzdiff are used to invoke the cmp or the diff pro-
-# gram on compressed files. All options specified are passed
-# directly to cmp or diff. If only 1 file is specified, then
-# the files compared are file1 and an uncompressed file1.lzma.
-# If two files are specified, then they are uncompressed and
-# fed to cmp or diff. The exit status from cmp or diff is
-# preserved.
-
-prog=`echo $0 | sed 's|.*/||'`
-case "$prog" in
- *cmp) comp=${CMP-cmp} ;;
- *) comp=${DIFF-diff} ;;
-esac
-
-OPTIONS=
-FILES=
-for ARG
-do
- case "$ARG" in
- -*) OPTIONS="$OPTIONS $ARG";;
- *) if test -f "$ARG"; then
- FILES="$FILES $ARG"
- else
- echo "${prog}: $ARG not found or not a regular file"
- exit 2
- fi ;;
- esac
-done
-if test -z "$FILES"; then
- echo "Usage: $prog [${comp}_options] file [file]"
- exit 2
-fi
-set $FILES
-if test $# -eq 1; then
- FILE=`echo "$1" | sed 's/[-.][tlaz]*$//'`
- lzma -dc "$1" | $comp $OPTIONS - "$FILE"
-
-elif test $# -eq 2; then
- case "$1" in
- *[-.]lzma | *.t[la]z)
- case "$2" in
- *[-.]lzma | *.t[la]z)
- F=`echo "$2" | sed 's|.*/||;s|[-.][tlaz]*||'`
- TF=`/usr/bin/mktemp ${TMPDIR:-/tmp}/"$F".XXXXXXXXXX` || exit 1
- trap 'rm -f "$TF"; exit 2' EXIT HUP INT PIPE TERM
- lzma -dc "$2" > "$TF" || exit
- lzma -dc "$1" | $comp $OPTIONS - "$TF"
- STAT="$?"
- rm -f "$TF" || STAT=2
- trap EXIT HUP INT PIPE TERM
- exit $STAT;;
-
- *) lzma -dc "$1" | $comp $OPTIONS - "$2";;
- esac;;
- *) case "$2" in
- *[-.]lzma | *.t[la]z)
- lzma -dc "$2" | $comp $OPTIONS "$1" -;;
- *) $comp $OPTIONS "$1" "$2";;
- esac;;
- esac
-else
- echo "Usage: $prog [${comp}_options] file [file]"
- exit 2
-fi
diff --git a/Master/bin/i386-linux/lzegrep b/Master/bin/i386-linux/lzegrep
deleted file mode 120000
index 999081a9f29..00000000000
--- a/Master/bin/i386-linux/lzegrep
+++ /dev/null
@@ -1 +0,0 @@
-lzgrep \ No newline at end of file
diff --git a/Master/bin/i386-linux/lzfgrep b/Master/bin/i386-linux/lzfgrep
deleted file mode 120000
index 999081a9f29..00000000000
--- a/Master/bin/i386-linux/lzfgrep
+++ /dev/null
@@ -1 +0,0 @@
-lzgrep \ No newline at end of file
diff --git a/Master/bin/i386-linux/lzgrep b/Master/bin/i386-linux/lzgrep
deleted file mode 100755
index c872df4e509..00000000000
--- a/Master/bin/i386-linux/lzgrep
+++ /dev/null
@@ -1,123 +0,0 @@
-#!/bin/sh
-
-# lzgrep -- a wrapper around a grep program that decompresses files as needed
-# Adapted to LZMA utils from gzip-1.3.3 + Red Hat's security patches
-# Adapted from a version sent by Charles Levert <charles@comm.polymtl.ca>
-# Copyright (C) 1998, 2001 Free Software Foundation
-# Copyright (C) 1993 Jean-loup Gailly
-
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; either version 2, or (at your option)
-# any later version.
-
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
-# GNU General Public License for more details.
-
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
-# 02111-1307, USA.
-
-# Improve error handling, this is supported by bash but not all the other
-# shells so we hide the possible error:
-set -o pipefail > /dev/null 2> /dev/null
-
-prog=`echo "$0" | sed 's|.*/||'`
-case "$prog" in
- *egrep) grep=${EGREP-egrep} ;;
- *fgrep) grep=${FGREP-fgrep} ;;
- *) grep=${GREP-grep} ;;
-esac
-
-pat=""
-after_dash_dash=""
-files_with_matches=0
-files_without_matches=0
-no_filename=0
-with_filename=0
-
-while test $# -ne 0; do
- case "$after_dash_dash$1" in
- --d* | --rec*) echo >&2 "$0: $1: option not supported"; exit 1;;
- --files-with-*) files_with_matches=1;;
- --files-witho*) files_without_matches=1;;
- --no-f*) no_filename=1;;
- --wi*) with_filename=1;;
- --*) ;;
- -*)
- case "$1" in
- -*[dr]*) echo >&2 "$0: $1: option not supported"; exit 1;;
- esac
- case "$1" in
- -*H*) with_filename=1;;
- esac
- case "$1" in
- -*h*) no_filename=1;;
- esac
- case "$1" in
- -*L*) files_without_matches=1;;
- esac
- case "$1" in
- -*l*) files_with_matches=1;;
- esac;;
- esac
- case "$after_dash_dash$1" in
- -[ef]) opt="$opt $1"; shift; pat="$1"
- if test "$grep" = grep; then # grep is buggy with -e on SVR4
- grep=egrep
- fi;;
- -[ABCdm])opt="$opt $1 $2"; shift;;
- --) opt="$opt $1"; after_dash_dash=1;;
- -*) opt="$opt $1";;
- *) if test -z "$pat"; then
- pat="$1"
- else
- break;
- fi;;
- esac
- shift
-done
-
-if test -z "$pat"; then
- echo "grep through lzma files"
- echo "usage: $prog [grep_options] pattern [files]"
- exit 1
-fi
-
-if test $# -eq 0; then
- lzma -dc | $grep $opt "$pat"
- exit $?
-fi
-
-res=0
-trap break SIGPIPE
-for i do
- lzma -dc "$i" |
- if test $files_with_matches -eq 1; then
- $grep $opt "$pat" > /dev/null && printf "%s\n" "$i"
- elif test $files_without_matches -eq 1; then
- $grep $opt "$pat" > /dev/null || printf "%s\n" "$i"
- elif test $with_filename -eq 0 && { test $# -eq 1 || test $no_filename -eq 1; }; then
- $grep $opt "$pat"
- else
- i=${i//\\/\\\\}
- i=${i//|/\\|}
- i=${i//&/\\&}
- i=`printf "%s" "$i" | tr '\n' ' '`
- if test $with_filename -eq 1; then
- sed_script="s|^[^:]*:|${i}:|"
- else
- sed_script="s|^|${i}:|"
- fi
- $grep $opt "$pat" | sed "$sed_script"
- fi
- r=$?
- test $res -lt $r && res=$r
- # SIGPIPE + 128
- test "$r" -eq 141 && exit $res
-done
-trap - SIGPIPE
-exit $res
diff --git a/Master/bin/i386-linux/lzless b/Master/bin/i386-linux/lzless
deleted file mode 120000
index 1fecad97b34..00000000000
--- a/Master/bin/i386-linux/lzless
+++ /dev/null
@@ -1 +0,0 @@
-lzmore \ No newline at end of file
diff --git a/Master/bin/i386-linux/lzma b/Master/bin/i386-linux/lzma
deleted file mode 100755
index 873b2a08781..00000000000
--- a/Master/bin/i386-linux/lzma
+++ /dev/null
Binary files differ
diff --git a/Master/bin/i386-linux/lzmadec b/Master/bin/i386-linux/lzmadec
deleted file mode 100755
index f0575bba27c..00000000000
--- a/Master/bin/i386-linux/lzmadec
+++ /dev/null
Binary files differ
diff --git a/Master/bin/i386-linux/lzmainfo b/Master/bin/i386-linux/lzmainfo
deleted file mode 100755
index 878bca9abda..00000000000
--- a/Master/bin/i386-linux/lzmainfo
+++ /dev/null
Binary files differ
diff --git a/Master/bin/i386-linux/lzmore b/Master/bin/i386-linux/lzmore
deleted file mode 100755
index d694774d64a..00000000000
--- a/Master/bin/i386-linux/lzmore
+++ /dev/null
@@ -1,74 +0,0 @@
-#!/bin/sh
-
-# Copyright (C) 2001 Free Software Foundation
-# Copyright (C) 1992, 1993 Jean-loup Gailly
-# Adapted to LZMA utils from gzip-1.3.3 + Red Hat's security patches
-
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; either version 2, or (at your option)
-# any later version.
-
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
-# GNU General Public License for more details.
-
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
-# 02111-1307, USA.
-
-if test "`echo "$0" | sed 's|.*/||'`" = "lzless"; then
- PAGER=less
-fi
-
-if test "`echo -n a`" = "-n a"; then
- # looks like a SysV system:
- n1=''; n2='\c'
-else
- n1='-n'; n2=''
-fi
-oldtty=`stty -g 2>/dev/null`
-if stty -cbreak 2>/dev/null; then
- cb='cbreak'; ncb='-cbreak'
-else
- # 'stty min 1' resets eof to ^a on both SunOS and SysV!
- cb='min 1 -icanon'; ncb='icanon eof ^d'
-fi
-if test $? -eq 0 -a -n "$oldtty"; then
- trap 'stty $oldtty 2>/dev/null; exit' 0 2 3 5 10 13 15
-else
- trap 'stty $ncb echo 2>/dev/null; exit' 0 2 3 5 10 13 15
-fi
-
-if test $# = 0; then
- if test -t 0; then
- echo usage: zmore files...
- else
- lzma -dc | eval ${PAGER-more}
- fi
-else
- FIRST=1
- for FILE
- do
- < "$FILE" || continue
- if test $FIRST -eq 0; then
- echo $n1 "--More--(Next file: $FILE)$n2"
- stty $cb -echo 2>/dev/null
- ANS=`dd bs=1 count=1 2>/dev/null`
- stty $ncb echo 2>/dev/null
- echo " "
- if test "$ANS" = 'e' -o "$ANS" = 'q'; then
- exit
- fi
- fi
- if test "$ANS" != 's'; then
- echo "------> $FILE <------"
- lzma -dc "$FILE" | eval ${PAGER-more}
- fi
- if test -t; then
- FIRST=0
- fi
- done
-fi
diff --git a/Master/bin/i386-linux/unlzma b/Master/bin/i386-linux/unlzma
deleted file mode 120000
index 2bcdf7016f0..00000000000
--- a/Master/bin/i386-linux/unlzma
+++ /dev/null
@@ -1 +0,0 @@
-lzma \ No newline at end of file